// 口座間の送金を行うサービス
public class TransferService {
  // 口座送金メソッド
  public void transfer(Money money, BankAccount from,
    BankAccount to) {
      // fromを減額しtoを増額
      from.decrement(money, to.getUser());
      to.increment(money, from.getUser());
  }
}
BankAccount to = new BankAccount("かとう じゅんいち");
BankAccount from = new BankAccount("はつね くみ");
// 口座送金サービスで1万円を送金する
TransferService ts = new TransferService();
ts.transfer(Money.of(10000), from, to);