public class EmployeeRepositoryInDB {

  private EmployeeDao employeeDao;

  public Employee findById(long id) {
    EmployeeTable et = emlpyoeeDao.selectById(id);
    return convertToEntity(et);
  }

  // DBの実装としては全件検索のメソッドは好ましくない
  // かもしれない。iterateメソッドがよいかもしれない。
  public Set<Employee> toSet() {
    Set<EmployeeTable> ets = employeeDao.selectAll();
    return convertToEntities(ets);
  }

  public <R> R iterate(IterateCallback<R> callback,
    IterateContext<R> context) {
    FetchQuery fq = employeeDao.fetchQuery("...");
    for(int i = 0; i < fq.recordSize; i++) {
      Table table = fq.fetch(i);
      callback.iterate(convertToEntity(table), context);
      if (context.isBreak()) {
        break;
      }
    }
    return context.getResult();
  }

  public void store(Employee employee) {
    employeeDao.insertOrUpdate(convertToTable(employee));
  }

}