// 部署
public final class Department {
  private final String code;
  private final String name;
  public Department(String code, String name) {
    this.code = code;
    this.name = name;
  }
  public String getCode() {
    return code;
  }
  public String getName() {
    return name;
  }
  // VO式のequals, hashCode
}
// 従業員
public class Employee {
  private final int id;
  private String name; // VOを集約している
  private Department department; // VOを集約している
  public Employee(int id, String name, Department department) {
    this.id = id;
    this.name = name;
    this.department = department;
  }
  public int getId() { return id; }
  public String getName() { return name; }
  public void setName(String name) {
    this.name = name;
  }
  public Department getDepartment() {
    return department;
  }
  public void setDepartment(Department department) {
    this.department = department;
  }
// E方式の equals, hashCode
}